﻿Imports System.Windows.Forms

Public Class frmEditPerson
    Private Sub BTNSave_Click(sender As Object, e As EventArgs) Handles BTNSave.Click
        SaveData()
    End Sub
    Private Sub SaveData()
        Dim Errortext = ""
        If ValidateData(Errortext) Then
            Me.DialogResult = DialogResult.OK
        Else
            LBLError.Text = Errortext
        End If
    End Sub
    Private Function ValidateData(ByRef Errortext As String) As Boolean
        If NameTextBox.Text = Nothing Then
            Errortext = "Es wurde kein Nachname vergeben"
            Return False
        End If
        If VornameTextBox.Text = Nothing Then
            Errortext = "Es wurde kein Vorname vergeben"
            Return False
        End If
        If StrasseTextBox.Text = Nothing Then
            Errortext = "Es wurde keine Straße vergeben"
            Return False
        End If
        If HausnummerTextBox.Text = Nothing Then
            Errortext = "Es wurde keine Hausnummer vergeben"
            Return False
        End If
        If PLZTextBox.Text = Nothing Then
            Errortext = "Es wurde keine Postleitzahl vergeben"
            Return False
        End If
        If OrtTextBox.Text = Nothing Then
            Errortext = "Es wurde kein Ort vergeben"
            Return False
        End If
        Return True
    End Function


    Private Sub frmEditPerson_KeyDown(sender As Object, e As Windows.Forms.KeyEventArgs) Handles Me.KeyDown
        'Speichern mit Strg + Enter
        If e.Control And e.KeyCode = Keys.Enter Then
            SaveData()
            Exit Sub
        End If
        Select Case e.KeyData
            'Durchschalten mit Enter
            Case = Keys.Enter
                SendKeys.Send("{TAB}")
                e.SuppressKeyPress = True
            Case = Keys.Escape
                Me.DialogResult = DialogResult.Cancel
        End Select
    End Sub

End Class