﻿Namespace System.Data

	Public Class DatasetViewer
		Public Shared Shadows Sub Show(tbl As DataTable, Optional ownerWindow As IWin32Window = Nothing)
			ShowViewer(tbl, ownerWindow, False)
		End Sub
		Public Shared Shadows Sub ShowDialog(tbl As DataTable, Optional ownerWindow As IWin32Window = Nothing)
			ShowViewer(tbl, ownerWindow, True)
		End Sub
		Public Shared Shadows Sub Show(dts As DataSet, Optional ownerWindow As IWin32Window = Nothing)
			ShowViewer(dts, ownerWindow, False)
		End Sub
		Public Shared Shadows Sub ShowDialog(dts As DataSet, Optional ownerWindow As IWin32Window = Nothing)
			ShowViewer(dts, ownerWindow, True)
		End Sub
		Private Shared Sub ShowViewer(dataSource As Object, ownerWindow As IWin32Window, showDialog As Boolean)
			Dim frm = New DatasetViewer
			frm.Grid.DataSource = dataSource
			With DirectCast(frm, Form)
				If showDialog Then
					Try
						.ShowDialog(ownerWindow) 'call the shadowed  base-function
					Finally
						.Dispose()
					End Try
				Else
					.Show(ownerWindow) 'call the shadowed base-function
				End If
			End With
		End Sub
	End Class

End Namespace